<?xml version="1.0" encoding="UTF-8"?>

<entity-mappings
	xmlns="http://xmlns.jcp.org/xml/ns/persistence/orm"
	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
	xsi:schemaLocation="http://xmlns.jcp.org/xml/ns/persistence/orm
      http://xmlns.jcp.org/xml/ns/persistence/orm_2_2.xsd"
	version="2.2">

	<named-query name="Producto.OBTENER-PRODUCTOS">
		<query>
			SELECT p FROM Producto p
			JOIN FETCH p.categoria
			ORDER BY p.idProducto
		</query>
	</named-query>
	
		<named-query name="Precio.PRODUCTOS">
		<query>
			SELECT p FROM Precio p
			JOIN FETCH p.listaPrecio   
			WHERE p.producto.idProducto=:codigoProducto
		</query>
	</named-query>

</entity-mappings>